      subroutine def_grid_3d (ncid, r2dgrd, u2dgrd, v2dgrd,
     &                        r3dgrd, w3dgrd)      


      use Agrif_Util
#include "Param_BeforeCall_def_grid_3d.h"
      integer(4) :: ncid
      integer(4), dimension(1:2) :: r2dgrd
      integer(4), dimension(1:2) :: u2dgrd
      integer(4), dimension(1:2) :: v2dgrd
      integer(4), dimension(1:3) :: r3dgrd
      integer(4), dimension(1:3) :: w3dgrd
      

        call Sub_Loop_def_grid_3d(ncid,r2dgrd,u2dgrd,v2dgrd,r3dgrd,w3dgr
     &d, Agrif_tabvars_i(27)%iarray0, Agrif_tabvars_i(26)%iarray0, Agrif
     &_tabvars_i(25)%iarray0, Agrif_tabvars_i(24)%iarray0, Agrif_tabvars
     &_i(46)%iarray0)

      end


#include "Sub_Loop_def_grid_3d.h"
